summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-06-08 13:57:02 +0000
committerMichał Górny <mgorny@gentoo.org>2014-06-08 13:57:02 +0000
commit1baf23b4c3f357a2c4dc1095aa21bcab0bcf8a47 (patch)
treee74a22c698ec182ed9a6fabf9d9e0d8bdd2447f0 /eclass
parentRemove vulnerable version wrt bug #508984 (diff)
downloadgentoo-2-1baf23b4c3f357a2c4dc1095aa21bcab0bcf8a47.tar.gz
gentoo-2-1baf23b4c3f357a2c4dc1095aa21bcab0bcf8a47.tar.bz2
gentoo-2-1baf23b4c3f357a2c4dc1095aa21bcab0bcf8a47.zip
Work around lack of arch defines in swig, bug #509792.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/multilib-build.eclass10
2 files changed, 13 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 1ff17afc1b53..5be846970a8b 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1282 2014/06/07 10:28:16 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1283 2014/06/08 13:57:02 mgorny Exp $
+
+ 08 Jun 2014; Michał Górny <mgorny@gentoo.org> multilib-build.eclass:
+ Work around lack of arch defines in swig, bug #509792.
07 Jun 2014; Ulrich Müller <ulm@gentoo.org> elisp.eclass:
Increase minimum Emacs version to 23, versions 21 and 22 have been removed.
diff --git a/eclass/multilib-build.eclass b/eclass/multilib-build.eclass
index 6b4b468d02ca..65f79a5f1881 100644
--- a/eclass/multilib-build.eclass
+++ b/eclass/multilib-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.55 2014/05/28 18:53:20 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.56 2014/06/08 13:57:02 mgorny Exp $
# @ECLASS: multilib-build.eclass
# @MAINTAINER:
@@ -476,6 +476,8 @@ multilib_prepare_wrappers() {
# else
# error "abi_ppc_32 not supported by the package."
# endif
+#elif defined(SWIG) /* https://sourceforge.net/p/swig/bugs/799/ */
+# error "Native ABI not supported by the package."
#else
# error "No ABI matched, please report a bug to bugs.gentoo.org"
#endif
@@ -502,6 +504,12 @@ _EOF_
sed -e "/abi_x86_32 /s&error.*&include <${CHOST}${f}>&" \
-i "${wrapper}" || die
fi
+
+ # Needed for swig.
+ if multilib_is_native_abi; then
+ sed -e "/Native ABI/s&error.*&include <${CHOST}${f}>&" \
+ -i "${wrapper}" || die
+ fi
fi
done
fi